ACTIONCOLOR(7)          XROUTER REFERENCE MANUAL            26/10/2023

NAME
        ACTIONCOLOR -- Colour For XRouter Actions and Events.

SYNOPSIS
        ACTIONCOLOR=<colour>

DESCRIPTION
        ACTIONCOLOR is an optional directive that can be used both
        in the "global" section of XROUTER.CFG, and within CONSOLE
        definition blocks.

        It specifies the colour used by XRouter for reporting
        "actions" such as "Pinging 8.9.8.9", and "events" such as
        "G9YAK is yelling".

        If used in the "global" section of XROUTER.CFG, the setting
        is inherited by all CONSOLEs subsequently defined.

        If used within a CONSOLE definition block, it applies only
        to that console, overriding any inherited setting.

        The default ACTIONCOLOR is YELLOW.  Default colours have
        been carefully chosen for good visibility against a BLACK
        background.

OPTIONS
        <colour> should be one of the 16 colour names described in
        COLOURS(6), but please note that some colour combinations
        have very poor visibility.

        In general, the lighter the background colour, the smaller
        the choice of foreground colours that will work with it.

EXAMPLE
        ACTIONCOLOR=PINK

SEE ALSO
        ANSI(1)         -- Enquire/set ANSI colour mode
        COLOURS(6)      -- XRouter Display Colours.
        CONSOLES(6)     -- About XRouter Consoles.
        CAPTIONCOLOR(7) -- Colour For Captions and Headings.
        PROMPTCOLOR(7)  -- Colour For XRouter Prompts.
        WARNCOLOR(7)    -- Colour For warnings and Errors.
        XROUTER.CFG(8)  -- Main Configuration File.

ACTIONCOLOR(7)               END OF DOCUMENT
