APPLMASK(7)            XROUTER REFERENCE MANUAL                4/9/2023

NAME
        APPLMASK -- Application Connectivity Mask.

DESCRIPTION
        APPLMASK is an optional PORT configuration keyword, whose
        purpose is to control which applications are connectible at
        AX25 L2 on the port.

        In this context, "applications" refers to programs which use
        XRouter to provide their connectivity with the outside world.

        APPLMASK is used only if XRouter is hosting applications,
        e.g. via the DEDHOST interface.

        If you want an application to be directly connectible on a
        particular port, the application must have an APPLCALL, an
        APPLALIAS or both, and the corresponding bit in that port's
        APPLMASK must be set.

        APPLMASK specifies which applications will be directly
        connectible on a given port.  The default is 255, which allows
        all applications.  The value is made up by adding together the
        desired selection from the following numbers:

                      1       - Enable Application 1
                      2       - Enable Application 2
                      4       - Enable Application 3
                      8       - Enable Application 4
                      16      - Enable Application 5
                      32      - Enable Application 6
                      64      - Enable Application 7
                      128     - Enable Application 8

        For example, if a port's definition contains "APPLMASK=9", it
        will only allow direct connections to applications 1 and 4 on
        that port, providing those applications have either an
        APPLCALL or an APPLALIAS.

SEE ALSO
        APPLMASK(1)    -- APPLMASK Command
        PORTS(6)       -- Ports in XRouter.
        APPLS(9)       -- Application Support.
        XROUTER.CFG(8) -- Main Configuration File.
        
APPLMASK(7)               END OF DOCUMENT
