DOS(1)                  XROUTER REFERENCE MANUAL              6/9/2023

COMMAND
        DOS -- Enter PZTDOS command mode.

SYNOPSIS
        DOS

AVAILABILITY
        Sysop-only.

DESCRIPTION
        The DOS command switches the command interpreter into "DOS 
        mode", allowing local and remote sysops to use familiar DOS 
        commands to maintain the system without taking it off line.

        In this mode, the normal command prompt is replaced by a DOS-
        style $P$G prompt showing the current drive and directory, and 
        only the PZTDOS commands are understood.

        The operator must use the EXIT command to return to normal 
        command mode.

        Sessions automatically return to command mode upon 
        disconnection. 

PORTABILITY
        PZTDOS accepts both the MSDOS backslash (\) and the UNIX 
        forward slash (/) pathname seperator characters, and they may 
        be freely mixed.  For the sake of clarity however, the prompt 
        always displays the path using the UNIX convention on Linux
        platforms, and the DOS convention on DOS/Windows platforms.

        As in MSDOS and UNIX, when specifying pathnames, a single dot 
        (.) represents the current directory, and a double dot 
        represents the parent directory.  Thus a command such as "CD 
        ../FRED" would change to directory FRED, which is located off 
        the current directory's parent.

        Unlike MSDOS, PZTDOS does not maintain a seperate "current 
        directory" on each drive, and you will be logged to the root 
        when changing drives.

        On DOS/Windows, the normal A: B: etc. commands can be used to
        change drive, and the CD (change directory) command can also
        accept a drive letter.

NOTES
        PZTDOS is fully multitasking, i.e. normal router operation 
        continues while PZTDOS mode is operating.

        PZTDOS commands are detailed in section 3 of the manual.

        PZTDOS is a vestige of a bygone age, where the OS would only
        support a single foreground application. Without PZTDOS, it
        would have been necessary either to "shell to DOS", or to
        stop XROUTER altogether, in order to perform file-system
        tasks. Nowadays, such tasks are easily performed on a multi-
        tasking OS, and PZTDOS has little relevance. It is included
        simply because it never got removed when XRouter was
        ported to Windows, thence to Linux. 

DOS(1)                       END OF DOCUMENT
