;*************************** Max Width *******************************
HAAT(7)                XROUTER REFERENCE MANUAL              20/9/2023

NAME
        HAAT -- Antenna Height Above Average Terrain.

SYNOPSIS
        HAAT=<metres>

DESCRIPTION
        HAAT is an optional directive that may be used anywhere in
        the "global" section of XROUTER.CFG. If present, it
        specifies the height of the antenna in metres above
        "average terrain". This is a value widely used in APRS to
        estimate the radio range.

        The value is obtained by calculating the average terrain
        heights along a series of typically 10 or 20 "radials" from
        the site, then averaging those values. If there are
        surrounding hills, it is not uncommon for the HAAT to be
        negative.

        There is a calculator on the FCC website that allows you to
        easily calculate your HAAT.

        At present the HAAT is only displayed on the HTML "info"
        page, but it might eventually be sent to the mapping server.

EXAMPLES
        HAAT=-15 -- Antenna is 15 metres BELOW averaged terrain.
        HAAT=12  -- Antenna is 12 metres ABOVE avareaged terrain. 
NOTE
        Although HAAT is currently a "global" parameter, it is
        acknowledged that some PORTS may have antennas at different
        heights. Therefore a per-port override will be added in a
        future version.

SEE ALSO
        ALTITUDE(7)    -- Base height of site.
        XROUTER.CFG(8) -- Main Configuration File.

HAAT(7)                  END OF DOCUMENT
