INFO-SVC(9)             XROUTER REFERENCE MANUAL              7/9/2023

NAME
        INFO-SVC -- NetRomX Information Service

DESCRIPTION
        Isn't it frustrating to connect to a node, only to find that
        there is no INFO command, or the sysop hasn't bothered to set
        up any information?

        Where in the world is it? We aren't all familiar with country
        prefixes!

        What software is it running? That affects which commands we
        must use to find information. What sort of node is it? Just a
        router, or is it the node underlying a BBS or DX cluster?
        Where can I find more information about the system, the
        person or group responsible, the software etc?

        The NetRomX "Information Service" (service no. 1) is intended
        to answer some of your questions. It is accessed by
        connecting to service 1 on any XRouter running version 501v
        or later. For example, to connect to G8PZT's info service:

            C G8PZT 1

        The information is provided in a form which is readable by
        both humans and machines. It is of the "<keyword>: <value>"
        form, with each piece of information on a separate line.
        Every keyword is unique. Only a few have been implemented so
        far, although others are planned. Your suggestions would be
        welcome.

        The server closes the connection after sending the data.

        The INFO command accomodates this feature, so the user
        doesn't even have to remember the service number or add the
        "stay" flag. The syntax is:

            I[nfo] [nodecall | nodealias]

        Here's a typical session: 

            info kidder
            VK2DOT-1:DOTXR} Info:
            Trying G8PZT::1...

            VK2DOT-1:DOTXR} Connected to G8PZT::1 

            Node-Type: Host / Router
            Node-Callsign: G8PZT
            Node-Alias: KIDDER
            QTH: Kidderminster, Worc's
            Maidenhead: IO82VJ
            Position: 52.400002 / -2.250000
            Sysop-Callsign: (to be done)
            Software-Type: AX25+NetRom+IP Router/Node
            Software-Name: XrPi
            Software-Version: 501y (19/7/20)
            Software-Author: Paula G8PZT
            Software-Info: http://vk2dot.dyndns.org/xrpi
            Software-Uptime: 4d, 11h, 3m, 58s
            Local-Time: Fri, 21 May 2021 03:27:06 +0000
            Local-Sunrise: 05:05
            Local-Sunset: 21:08
            Netrom-Known: 250
            Netrom-Neighbours: 6
            AX25-Links: 6
            Amprnet-IP: 44.136.16.6
            Amprnet-Name: g8pzt.ampr.org
            Netrom-Services: 1,2,7,8,9,13,14,16,18,19,21,23,80,87

            VK2DOT-1:DOTXR} Welcome back 

SEE ALSO
        INFO(1)     -- Display information.
        INFO(9)     -- Info system.
        SERVICES(9) -- NetRomX Standard Services.

INFO-SVC(9)                  END OF DOCUMENT
