;*************************** Max Width *******************************
INTERLOCK(7)            XROUTER REFERENCE MANUAL             25/9/2023

NAME
        INTERLOCK -- Transmitter Interlock.

SYNOPSIS
        INTERLOCK=<number>

DESCRIPTION
        INTERLOCK is an optional PORT configuration directive, used
        in XROUTER.CFG.

        If a non-zero INTERLOCK value is specified, no two ports with
        the same interlock number will transmit at the same time.

        Note that this is not necessarily a port number (although it
        could be), it is just a number that is common to a group of
        ports that are not allowed to transmit at the same time, for
        example because they all share one power supply.

        If not specified, the default is 0.

        Used only by SCC cards, because KISS TNC's make their own
        decisions about when to transmit, and XRouter has no control
        over that process.

EXAMPLE
        INTERLOCK=4

SEE ALSO
        PORTS(6)       -- Ports in XRouter.
        XROUTER.CFG(8) -- Main Configuration File.

INTERLOCK(7)                  END OF DOCUMENT
