;*************************** Max Width *******************************
L4T3(7)                XROUTER REFERENCE MANUAL               6/9/2023

NAME
        L4T3 -- NetRom Layer 4 link check interval.

SYNOPSIS
        L4T3=<seconds>

DESCRIPTION
        L4T3 is an optional directive, used in XROUTER.CFG. If
        present, it specifies the number of seconds between NetRom
        layer 4 "link check" frames. If not specified, the default
        is (IDLETIME-60) (usually 840 seconds = 14 minutes).

        Setting this to 0 disables the link check.
        
        The purpose of the link check is to detect "failed" links,
        i.e. those where one end has switched off or rebooted, or
        where the routing is no longer viable. Most sessions have
        an inactivity timeout (IDLETIME), but some, such as chat do
        not. Without a link check, those sessions would persist
        forever in the absence of any activity, hogging resources.

EXAMPLE
        L4T3=600 -- Set link check interval to 10 minutes

SEE ALSO
        XROUTER.CFG(8) -- Main Configuration File.

L4T3(7)                    END OF DOCUMENT
