LANG(1)               XROUTER REFERENCE MANUAL              29/10/2023

COMMAND
        LANG -- Display / Set Session Language

SYNOPSIS
         LA[ng] [en | fr | es | nl]

DESCRIPTION
        The LANG command can be used to display the available
        languages, report the current language, or change the
        language for the session.

        As of October 2023 only English (en), French (fr), Spanish
        (es) and Dutch (nl) are available. German (de) is still in
        progress. More languages can be added if there is any
        demand for them.

        The default language for XRouter is set by the DEFAULTLANG
        directive in XROUTER.CFG.

        The initial language for a session is controlled by entries
        in LANGS.SYS, if it exists. 

OPTIONS
        If used without arguments, LANG displays the available
        language codes, for example:

            lang
            G8PZT:KIDDER} Available languages: EN, FR, ES, NL 

        If the argument is a known language code, and the
        corresponding language file was present in the working
        directory when XRouter was started, the language for the
        session is changed as follows:

            lang es
            G8PZT:KIDDER} El idioma actual es ES

AVAILABILITY
        All users.
   
SEE ALSO
        CONSOLELANG(7) -- Console language
        DEFAULTLANG(7) -- Specify default language
        LANGS.SYS(8)   -- Language selection file
        XROUTER.CFG(8) -- Main configuration file

LANG(1)                  END OF DOCUMENT
