MAN(1)                  XROUTER REFERENCE MANUAL            29/12/2023

COMMAND
        MAN -- Display Sysop's Manual pages.

SYNOPSIS
        MAN [command | topic]

DESCRIPTION
        The MAN command is used to access the sysop's manual, which
        consists of a collection of pages, each covering a different 
        command or topic.

        The MAN pages are designed for sysop use, and usually give 
        more detail than the corresponding HELP pages.

        Entering MAN alone displays a list of available pages.

        To read a specific page enter MAN followed by the command or 
        topic for which you require help.

        The manual is divided into several sections as follows:

           Section   Contents
           ------------------------------------------
              1      General Commands
              2      Chat Server Commands
              3      PZTDOS commands
              6      Installation & Configuration Topics
              7      Configuration Directives
              8      Configuration / System Files.
              9      Miscellaneous Topics

        For sections other than 1 and 8, the section is indicated
        by a number appended to the topic name, e.g. MHEARD.9

        Some manual files are longer than the standard console review
        buffer size, and may therefore display only the last 400 or
        so lines. However they can be viewed in full via the HTTP
        interface, and by using <ALT+H> followed by <M> at the
        console.

EXAMPLES
        MAN ARP      Display section 1 page for ARP command.
        MAN MAXTT.7  Display section 7 page for MAXTT directive

CONVENTIONS
        The following conventions are used in MAN pages:

        < >         Command argument - These braces and the text 
                    enclosed within them represent any piece of text 
                    typed after the command.  The <> do not form part 
                    of the argument.

        [ ]         Optional argument - These braces enclose anything 
                    which is not always present. If used within a 
                    command name (e.g. N[ODES]), this indicates that 
                    the command may be abbreviated to a minimum form 
                    while remaining unique.

AVAILABILITY
        Sysop-only.

FILES
        Manual files are normal text files, with the extension
        changed to ".MAN". They may be created and edited using a
        simple text editor such as Notepad (windows) or Leafpad, nano
        etc (Linux).

        All MAN files are located within the MAN directory, which
        itself is in the directory containing XRouter.

        As MAN files are for use only by the sysop, there is no need
        for separate directories for alternate language versions.
        Even if the MAN files are translated to a different language,
        they must always be situated in the MAN directory, not in a
        subdirectory thereof

        Filenames, including the extensions, MUST be in UPPER CASE.
        Lower case filenames and files without the .MAN extension are
        ignored.

        Within the .MAN files, lines beginning with a semicolon ';'
        are not displayed, so you can use them for comments, such as
        file modification details.

        Manual files can be viewed from the console using <ALT+H>
        followed by <M>. This browser window is only around 76
        characters wide, so try to keep the lines shorter than this,
        to preserve formatting. In any case, lines longer than 72
        characters are bad practice, typopgraphically-speaking.

LIMITATIONS
        Although most commands may be abbreviated, it is not currently 
        possible for the MAN command to correctly identify the 
        required page from an abbreviated argument.  Thus "MAN NODES" 
        is acceptable, whereas "MAN NO" is not.  This problem will be 
        addressed in a later version, but a temporary work-around 
        might be to make several copies of each MAN file for all 
        permutations of the command.  Beware though, this may make the 
        list very confusing!

NOTE
        Due to its size and complexity, it would be impractical to
        produce a single-document sysop manual for XRouter. Therefore
        the manual only exists as a series of standalone pages with
        cross references. This makes it easier to keep the manual up
        to date by distributing new / updated pages as required. At
        present this is a "manual" process (no pun intended), but it
        masy one day be automated.

SEE ALSO
        HELP(1) -- General help system.

MAN(1)                      END OF DOCUMENT
