MAXFRAME(1)             XROUTER REFERENCE MANUAL            21/10/2023

COMMAND
        MAXFRAME -- Display / Set port MAXFRAME value.

SYNOPSIS
        MAX[FRAME] <port> [n]

AVAILABILITY
        MAXFRAME is a sysop-only command.

DESCRIPTION
        The MAXFRAME command is used to display and set the AX25 L2
        MAXFRAME (window) value for the specified port.  This is the 
        maximum number of unacknowledged frames allowed before the 
        link must stop and wait for an ack.  The normal range is 
        between 1 and 7, although maxframes of up to 127 are allowed 
        in modulo-128 links.

        If the second argument is ommitted, the current value is 
        displayed.

        If the setting is changed, the new setting remains in force 
        until it is changed again, or until the router is restarted, 
        in which case it returns to the default value specified in the 
        port entry in the XROUTER.CFG file.

        If the port PACLEN is set to 0, XRouter dynamically adapts
        MAXFRAME (and PACLEN) to the link conditions, to maximise
        throughput.

EXAMPLE
        MAX 2       - Display current maxframe setting for port 2
        MAX 2 6     - Set maxframe for port 2 to 6.

SEE ALSO
        MAXFRAME(7)    -- Maximum Unacked AX25 Frames.
        PACLEN(1)      -- Display / Set Maximum Packet Length.
        XROUTER.CFG(8) -- Main Configuration File.

MAXFRAME(1)                 END OF DOCUMENT
