;*************************** Max Width *******************************
MINTXQUAL(7)           XROUTER REFERENCE MANUAL              25/9/2023

NAME
        MINTXQUAL -- Minimum Quality to Broadcast.

SYNOPSIS
        MINTXQUAL=n (where n is in the range 0 to 255)

DESCRIPTION
        MINTXQUAL is a PORT directive used in XROUTER.CFG.

        It specifies the minimum NetRom node "quality" to include in
        nodes broadcasts on this port. The acceptable range is 0 to
        255, and the default is 0.

        This is used to limit the size of nodes broadcasts on ports
        which are low bandwidth, low quality, or where the
        neighbours have limited nodes table capacity.

        The value of MINTXQUAL can be changed during run-time using
        the MINTXQUAL command.

EXAMPLE
        MINTXQUAL=100 ; Don't broadcast nodes with quality <100 

SEE ALSO
        MINQUAL(7)     -- Minimum Quality.
        MINTXQUAL(1)   -- Display / Set minimum quality to transmit
        PORTS(6)       -- Ports in XRouter.
        QUALITY(7)     -- NetRom Quality
        XROUTER.CFG(8) -- Main Configuration File.

MINTXQUAL(7)               END OF DOCUMENT
