USERS(1)                XROUTER REFERENCE MANUAL            19/10/2023

COMMAND
        USERS -- Show Who is Using XRouter.

SYNOPSIS
        U[sers]

DESCRIPTION
        The USERS command displays the ISO layer 7 sessions which
        originate or terminate at XRouter.  Unconnected "through
        traffic" is not shown by this command.

        No arguments are required, and a typical response includes
        the following fields:

                Session  Start-time   Idle   Type  Lnk   User

        "Session" is a unique session number for the connection.

        "Start-time" is the date/time when the uplink was first made.

        "Idle" is the amount of time since there was any activity on
               the session.

        "Type" is the session type:

            AGWH - AGW Host app        APPL - Uplink to app
            APRS - APRS Server         AX25 - AX25L2
            CHAT - Chat session        CHGN - CHARGEN
            CONS - Console             DAYT - Daytime server
            DEDH - WA8DED Host app     DSCD - Discard server
            DXSV - DX Server           ECHO - Echo server
            FING - Finger server       FTPC - FTP Client
            FTPS - FTP Server          FTPX - FTP Proxy
            HLIB - Hamlib              Host - BPQHost application
            HTRM - HTTP Terminal       HTTP - HTTP Server
            INFO - Info server         MHSV - MHeard Server
            MQTT - MQTT Server         NFTP - Netrom FTP
            NTPX - NetRom/TCP Proxy    NTRM - Netrom
            PMS  - Personal Msg System PRXY - Proxy
            PSTN - Dial-in             RHP  - RHP app
            RHPC - RHP Control Sess    RHPP - RHP SeqPacket Socket
            RHPS - RHP Stream Socket   RIGS - Rig Server
            RLOG - Remote Login        SMS  - Short Message
            Sock - Socket app          SOKH - Uplink to Socket host
            SOKS - SOCKS Proxy         Teln - Telnet
            TPXY - Telnet Proxy        TTY  - Serial TTY 
            TTYL - TTYLink             WXSV - Weather server     

        "Lnk" is the uplink type:

            CON - Console           TCP - TCP/IP
            TTY - Remote console    HST - Hosted application
            L2  - AX25 level 2      RHP - Remote Host Protocol app
            L4  - NetRom level 4    DED - DEDHOST application
            TRM - HTTP Terminal

        "User"  is the callsign or Internet address of the uplinked
                user. There may be another user shown on the
                downlink side.

        In this context UPLINK is a connection from a user (who may
        be located at another node) to the router, and DOWNLINK is a
        connection from the router to a user. The combination of both
        is called a CIRCUIT.

        Established circuits are shown by <--> and circuits being set 
        up are shown thus:  <~~>.

PORTABILITY
        Unlike the equivalent BPQ command, this does not show the 
        version number - use the VERSION command for that, or buffer 
        count (this system does not use fixed buffers).

SEE ALSO
        J(1) -- Show Recent Sessions

USERS(1)                    END OF DOCUMENT
